/*
 * CampoDiferenteDeUnValorODiferenteDeVacioDep.java
 *
 * Created on 28 de marzo de 2007, 07:40 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Jsolano
 */

// 12,C,1
/**
 * 
 * @author Julian
 */
public class CampoDiferenteDeUnValorODiferenteDeVacioDep extends AbstractRule {

	public CampoDiferenteDeUnValorODiferenteDeVacioDep() {
	}

	public boolean performValidation(String field, String[] registro,
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];
		if (codigoNovedad.equals((String) getParams()[1])) {
			String otroCampo = registro[new Integer((String) getParams()[2])
					.intValue()];
			if (otroCampo.equals(getParams()[3])) {
				return (!field.equals(getParams()[4]) && field.length() > 0);
			}

		}
		return false;
	}
}
